package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bs_mer_rate_apply_detail
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsMerRateApplyDetail implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 费率申请id
     */
    private Long merRateApplyId;

    /**
     * 费率类型代码
     */
    private Integer rateTypeCode;

    /**
     * 费率类型代码【拉卡拉SAAS平台代码】
     */
    private String rateSaasTypeCode;

    /**
     * 费率类型名称
     */
    private String rateTypeName;

    /**
     * 手续费率(%)   例如：0.6
     */
    private BigDecimal ratePct;

    /**
     * 状态 0：不可用  1：可用
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMerRateApplyId() {
        return merRateApplyId;
    }

    public void setMerRateApplyId(Long merRateApplyId) {
        this.merRateApplyId = merRateApplyId;
    }

    public Integer getRateTypeCode() {
        return rateTypeCode;
    }

    public void setRateTypeCode(Integer rateTypeCode) {
        this.rateTypeCode = rateTypeCode;
    }

    public String getRateSaasTypeCode() {
        return rateSaasTypeCode;
    }

    public void setRateSaasTypeCode(String rateSaasTypeCode) {
        this.rateSaasTypeCode = rateSaasTypeCode;
    }

    public String getRateTypeName() {
        return rateTypeName;
    }

    public void setRateTypeName(String rateTypeName) {
        this.rateTypeName = rateTypeName;
    }

    public BigDecimal getRatePct() {
        return ratePct;
    }

    public void setRatePct(BigDecimal ratePct) {
        this.ratePct = ratePct;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsMerRateApplyDetail other = (BsMerRateApplyDetail) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getMerRateApplyId() == null ? other.getMerRateApplyId() == null : this.getMerRateApplyId().equals(other.getMerRateApplyId()))
            && (this.getRateTypeCode() == null ? other.getRateTypeCode() == null : this.getRateTypeCode().equals(other.getRateTypeCode()))
            && (this.getRateSaasTypeCode() == null ? other.getRateSaasTypeCode() == null : this.getRateSaasTypeCode().equals(other.getRateSaasTypeCode()))
            && (this.getRateTypeName() == null ? other.getRateTypeName() == null : this.getRateTypeName().equals(other.getRateTypeName()))
            && (this.getRatePct() == null ? other.getRatePct() == null : this.getRatePct().equals(other.getRatePct()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMerRateApplyId() == null) ? 0 : getMerRateApplyId().hashCode());
        result = prime * result + ((getRateTypeCode() == null) ? 0 : getRateTypeCode().hashCode());
        result = prime * result + ((getRateSaasTypeCode() == null) ? 0 : getRateSaasTypeCode().hashCode());
        result = prime * result + ((getRateTypeName() == null) ? 0 : getRateTypeName().hashCode());
        result = prime * result + ((getRatePct() == null) ? 0 : getRatePct().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", merRateApplyId=").append(merRateApplyId);
        sb.append(", rateTypeCode=").append(rateTypeCode);
        sb.append(", rateSaasTypeCode=").append(rateSaasTypeCode);
        sb.append(", rateTypeName=").append(rateTypeName);
        sb.append(", ratePct=").append(ratePct);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}